Summary: Utilities for monitoring process activities
Name: psacct
Version: 6.6.4
Release: 4%{?dist}
License: GPLv3+
URL: http://www.gnu.org/software/acct/
Source0: https://ftp.gnu.org/pub/gnu/acct/acct-%{version}.tar.gz
Source1: psacct.service
Source2: psacct-logrotate.in
Source3: accton-create
Patch3000: psacct-6.6.2-unnumberedsubsubsec.patch
Patch3001: psacct-6.6.1-SEGV-when-record-incomplete.patch
Patch3002: psacct-6.6.4-lastcomm-manpage-pid-twice.patch

BuildRequires: make gcc autoconf systemd
Requires: coreutils
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
The psacct package contains ac, lastcomm, accton and sa. The ac command 
displays statistics of user login time. The lastcomm command displays 
the history of previously executed commands. The accton command turns 
process accounting on or off. The sa command summarizes information about 
previously executed commands.

%prep
%autosetup -p1 -n acct-%{version}
sed -i 's|.*(gets,.*||g' lib/stdio.in.h
sed -i 's|@ACCT_FILE_LOC@|/var/account/pacct|g'      files.h.in
sed -i 's|@SAVACCT_FILE_LOC@|/var/account/savacct|g' files.h.in
sed -i 's|@USRACCT_FILE_LOC@|/var/account/usracct|g' files.h.in

%build
%configure --enable-linux-multiformat
make

%install
mkdir -p %{buildroot}{/sbin,%{_bindir},%{_mandir},%{_sbindir}}
%make_install
cp dump-acct.8 %{buildroot}%{_mandir}/man8/

rm -f %{buildroot}%{_infodir}/dir

mkdir -p %{buildroot}/var/account
touch %{buildroot}/var/account/pacct && chmod 0600 %{buildroot}/var/account/pacct

mkdir -p %{buildroot}/etc/logrotate.d
sed -e 's|%%{_bindir}|%{_bindir}|g' -e 's|%%{_sbindir}|%{_sbindir}|g' %{SOURCE2} > %{buildroot}/etc/logrotate.d/psacct

mkdir -p %{buildroot}%{_unitdir}
install -m 644 %{SOURCE1} %{buildroot}%{_unitdir}

install -d -m 0755 %{buildroot}%{_libexecdir}/psacct
install -m 755 %{SOURCE3} %{buildroot}%{_libexecdir}/psacct/

rm -f %{buildroot}%{_bindir}/last %{buildroot}%{_mandir}/man1/last.1*

%post
%systemd_post psacct.service
touch /var/account/pacct && chmod 0600 /var/account/pacct

%preun
%systemd_preun psacct.service

%postun
%systemd_postun_with_restart psacct.service

%files
%license COPYING
%doc README
%dir /var/account
%{_unitdir}/psacct.service
%attr(0600,root,root)   %ghost %config /var/account/pacct
%attr(0644,root,root)   %config(noreplace) /etc/logrotate.d/*
%{_sbindir}/accton
%{_sbindir}/sa
%{_sbindir}/dump-utmp
%{_sbindir}/dump-acct
%{_bindir}/ac
%{_bindir}/lastcomm
%{_libexecdir}/psacct/accton-create
%{_infodir}/accounting.info.*
%{_mandir}/man1/ac.1*
%{_mandir}/man1/lastcomm.1*
%{_mandir}/man8/sa.8*
%{_mandir}/man8/accton.8*
%{_mandir}/man8/dump-acct.8*
%{_mandir}/man8/dump-utmp.8*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.6.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.6.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.6.4-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 1 2022 Wang Guodong <gordonwwang@tencent.com> - 6.6.4-1
- package init.
